=== debian/changelog ===
jitsi-videobridge2 (2.1-0-g676fb3d-1) unstable; urgency=low

  * Initial release.

 -- Damian Minkov <damencho@jitsi.org>  Fri, 17 Jan 2020 15:51:09 +0000
